public static interface ResteasyEndpointBuilderFactory.ResteasyBuilders
| Modifier and Type | Method and Description |
|---|---|
default ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder |
resteasy(String path)
Resteasy (camel-resteasy)
Expose REST endpoints and access external REST servers.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder |
resteasy(String componentName,
String path)
Resteasy (camel-resteasy)
Expose REST endpoints and access external REST servers.
|
default ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder resteasy(String path)
resteasy:httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.path - httpUridefault ResteasyEndpointBuilderFactory.ResteasyEndpointBuilder resteasy(String componentName, String path)
resteasy:httpUri
Path parameter: httpUri (required)
The url of the HTTP endpoint to call.componentName - to use a custom component name for the endpoint
instead of the default namepath - httpUriApache Camel